Last modified: 2011-03-18 13:03:41 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 27403 - Disabled preferences are taken into account anyway
Disabled preferences are taken into account anyway
Status: RESOLVED FIXED
Product: MediaWiki
Classification: Unclassified
User preferences (Other open bugs)
1.17.x
All All
: Normal normal (vote)
: ---
Assigned To: Roan Kattouw
: code-update-regression
Depends on:
Blocks: 26676
  Show dependency treegraph
 
Reported: 2011-02-14 18:55 UTC by Roan Kattouw
Modified: 2011-03-18 13:03 UTC (History)
5 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Roan Kattouw 2011-02-14 18:55:34 UTC
In 1.17, disabled preferences aren't shown in Special:Preferences, but they do seem to be loaded and have their previously set values returned from User::getOption().
Comment 1 Happy-melon 2011-03-17 21:11:52 UTC
Are you saying that disabled preferences should be left in the database (unless the preference is ever re-enabled), but that User::getOption() should return the default value of the preference for all users if it's disabled?  That should be fairly easy to implement...
Comment 2 Happy-melon 2011-03-18 13:03:41 UTC
Fixed in r84233.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links